Doomsday Engine - Bug #439

client connects->other client is kicked + seg fault
2007-03-27 09:25 - yannara

Status: Closed Start date: 2007-03-27
Priority: Normal % Done: 100%
Assignee: skyjake

Category:

Target version:

Description

This great engine has two problems;

1. Segment violation. After some time playing coop or deathmatch, games crashes to the error displayed "segmentation violation".
This text goes to the console history also. The game's window closes itself and I'm back in the engine menu. Host and client(joining)
can suffer from this after playing a while.

2. With routhed connection (behind NAT and DHCP) | can't join the public games. Console displays "no connection or no response
from host" or something like that. | have the correct port opened and port forward is enabled to spesific host inside the local network.
Other players can join my game through public list, but | can't join other games. | can join another game with host IP in the custom
multiplay menu.

Labels: jDoom Multiplayer

History

#1 - 2007-03-27 09:25 - yannara

screencapture of an error

Attachments:

e http://sourceforge.net/p/deng/bugs/ discuss/thread/e4a04c0d/a2a6/attachment/doomerror.jpg

#2 - 2007-03-27 09:29 - yannara

Logged In: YES
user_id=1754088
Originator: YES

Also | notoced, that when another client is joining the game, it often happens, that previous one leaves (get kicked or so). We have a small group of
people playing this, we have exact the same .wads and latest beta version of the engine.

#3 - 2007-03-27 09:47 - ashridah

Logged In: YES
user_id=2918
Originator: NO

Does the crash still occur if you all disable the particle effects (control panel >-particles—enable-particle-effeets < set to 'no’)

If it goes away, it may be related to a long standing bug in the particle engine that causes it to become corrupted. Unfortunately, it's been a tough one
to track down so far, IIRC.
Removing some of the addons that are adding particle effects may also help alleviate the crashes if that's the case.

#4 - 2007-03-27 10:33 - yannara

Logged In: YES
user_id=1754088
Originator: YES

Thank you for the answer. | can't find the option you are talking about (control panel >-particles——enable-particle-effeets<- set to 'no’). I'm using
Windows XP Pro. Do you mean control panel of Windows, or the settings of the engine itself?

#5 - 2007-03-27 10:40 - ashridah

Logged In: YES
user_id=2918
http://sourceforge.net/p/deng/bugs/_discuss/thread/e4a04c0d/a2a6/attachment/doomerror.jpg

Originator: NO
Sorry, | meant in game.

Press escape to get to the game's menu, go to "Options" then "Control panel" (second menu item down), then you'll be at doomsday's control panel
(at least, you do here)

Then the option is the first one under the 'particles' section.

#6 - 2007-03-27 11:08 - yannara

Logged In: YES
user_id=1754088
Originator: YES

Now I got it. | disable that option and we will try it later.
One more thing, we play with all add-ons possible through your site. Now we disabled all addons and after that the game were ok (only the players
did kick each other out by joing the game). So | assume, that this segmentation violation depends on some add-on.

| report more later, when | try with disapled particles.

#7 - 2007-03-27 11:22 - yannara

Logged In: YES
user_id=1754088
Originator: YES

One more question about this, what addons specificly are adding particle effects? | don't have any clue about this :)

#8 - 2007-03-28 15:27 - yannara

Logged In: YES
user_id=1754088
Originator: YES

Disabling particles didn't help. Do you know any other tricks?

#9 - 2007-04-01 10:47 - yannara

Logged In: YES
user_id=1754088
Originator: YES

Now we have learned, that this segmental violation appears after third player join the game. Practically, jDoom doesn't work more than with 2 players
connected. Always, when third player joins the game, first client or host gets disconnected and segmental violation appears. Rest of the players may
continue playing, only one gets "kicked out".

#10 - 2007-10-03 04:03 - docfu

Logged In: YES
user_id=1902377
Originator: NO

| can confirm bug #1, playing a game with 4-5 players whenever one would join the other 2-3-4 players would crash and once in a blue moon my
computer(as the host) would crash as well, | really wish this bug would be fixed because its VITAL to netgame play...

#11 - 2009-07-25 11:43 - skyjake

Networking revised for 1.9.0-beta?.
